aboutsummaryrefslogtreecommitdiff
path: root/tests/rocker/all
diff options
context:
space:
mode:
authorScott Feldman <sfeldma@gmail.com>2015-03-13 21:09:31 -0700
committerStefan Hajnoczi <stefanha@redhat.com>2015-05-11 14:49:04 +0100
commit63d2ada2f55a85c3143ecf69a5aeecf6b3f3ffc9 (patch)
tree3daeac93e7c60f4bdb77f63ffe5c9fa9ae49a53d /tests/rocker/all
parentdc488f888060afdc129e0cc8812cf50c4c083423 (diff)
rocker: add tests
Add some basic test for rocker to test L2/L3/L4 functionality. Requires an external test environment, simp, located here: https://github.com/scottfeldman/simp To run tests, simp environment must be installed and a suitable VM image built and installed with a Linux 3.18 (or greater) kernel with rocker driver support enabled. Signed-off-by: Scott Feldman <sfeldma@gmail.com> Message-id: 1426306173-24884-8-git-send-email-sfeldma@gmail.com Signed-off-by: Stefan Hajnoczi <stefanha@redhat.com>
Diffstat (limited to 'tests/rocker/all')
-rwxr-xr-xtests/rocker/all19
1 files changed, 19 insertions, 0 deletions
diff --git a/tests/rocker/all b/tests/rocker/all
new file mode 100755
index 0000000000..d5ae9632a2
--- /dev/null
+++ b/tests/rocker/all
@@ -0,0 +1,19 @@
+echo -n "Running port test... "
+./port
+if [ $? -eq 0 ]; then echo "pass"; else echo "FAILED"; exit 1; fi
+
+echo -n "Running bridge test... "
+./bridge
+if [ $? -eq 0 ]; then echo "pass"; else echo "FAILED"; exit 1; fi
+
+echo -n "Running bridge STP test... "
+./bridge-stp
+if [ $? -eq 0 ]; then echo "pass"; else echo "FAILED"; exit 1; fi
+
+echo -n "Running bridge VLAN test... "
+./bridge-vlan
+if [ $? -eq 0 ]; then echo "pass"; else echo "FAILED"; exit 1; fi
+
+echo -n "Running bridge VLAN STP test... "
+./bridge-vlan-stp
+if [ $? -eq 0 ]; then echo "pass"; else echo "FAILED"; exit 1; fi